<!doctype html>
<html lang="en">

<%-include('../../partials/header.ejs')%>

<body>

	<!-- WRAPPER -->
	<div id="wrapper">
		<!-- NAVBAR -->
		<%-include('../../partials/navbar.ejs')%>
		<!-- END NAVBAR -->
		
		<!-- LEFT SIDEBAR -->
		<%-include('../../partials/sidebar.ejs')%>
		<!-- END LEFT SIDEBAR -->
		<!-- MAIN -->
				<!-- MAIN -->
				
				<div class="main">
					<!-- MAIN CONTENT -->
					<div class="main-content">
						<div class="container-fluid">
							<!-- OVERVIEW -->
							<div class="panel panel-headline">
								<div class="panel-heading">
									<h3 class="panel-title">Transaksi</h3>
									<p class="panel-subtitle"></p>
								</div>
								<div class="panel-body">
									<div class="row ">
										<form method="POST" action="/portfolio/inventory/transaksi" class="col-md-6" >
											<div class="col-md">
												<div class="mb-3">
													<label for="kapal" class="form-label">Nama Kapal</label>
													<select type="text" onchange="handleChangeKapal()" class="form-control" name="kapal" id="kapal" placeholder="Nama Kapal">
														<option></option>
														<% pelanggan.forEach(plgn => { %>
														<option value="<%= plgn.kapal%>" dtId="<%= plgn.id%>" dtPengurus="<%=plgn.pengurus%>" dtTelp="<%= plgn.telp%>"> <%= plgn.kapal%></option>
														<% }) %>
													</select>
													<br>
												  </div>
												<div class="mb-3">
													<input type="hidden" name="id_pelanggan" value="" id="id_pelanggan" readonly>
													<label for="pengurus" class="form-label">Nama Pengurus</label>
													<input type="text" readonly class="form-control" name="pengurus" value="" id="pengurus" placeholder="Nama Pengurus"/>
													<br>
												</div>
												<div class="mb-3">
													<label for="telp" class="form-label">No. Telp</label>
													<input type="text" readonly class="form-control" name="telp" id="telp" placeholder="Nomor Telepon"/>
													<br>
												</div>
												<div class="col-md ">
													<label for="nama_barang" class="form-label">Nama Barang</label>
													<select type="select" class="form-control" onchange="handleChangeBarang()" name="nama_barang" id="nama_barang">
														<option value=""></option>
														<% barang.forEach((brng)=>{ %>
														<option value="<%=brng.kode%>" dtHarga="<%=brng.harga%>" ><%=brng.nama_barang%></option>
														<% }) %>
													</select>
													<br>
													<label for="harga_barang" class="form-label">Harga Barang</label>
													<input type="text" readonly class="form-control" name="harga_barang" id="harga">
													<br>
													<label for="jumlah_barang" class="form-label">Jumlah Barang</label>
													<input type="number" min="0"  class="form-control" name="jumlah_barang" id="hitung">
												</div>
												<br>
												<label for="total" class="form-label">Total</label>
												<input type="text" class="form-control" readonly name="total" id="total">
												<br>
											
												<button type="submit" class="btn btn-primary">Simpan</button>
											</div>
										</form>
									</div>
								</div>
							</div>
							<!-- END OVERVIEW -->
						</div>
					</div>
					
					<!-- END MAIN CONTENT -->
				</div>
				<!-- END MAIN -->
				
		<!-- END MAIN -->
		<div class="clearfix"></div>
		

	
	<%-include('../../partials/footer.ejs')%>
	<script>
		
		const id = document.getElementById('id_pelanggan')
		const kapal = document.getElementById('kapal')
		const pengurus = document.getElementById('pengurus')
		const telepon = document.getElementById('telp')
		function handleChangeKapal(){
			document.getElementById('kapal').addEventListener('change', (e)=>{
			const dtId = kapal.options[kapal.selectedIndex].getAttribute('dtId')
			const dtTelp =  kapal.options[kapal.selectedIndex].getAttribute('dtTelp')
			const dtPengurus = kapal.options[kapal.selectedIndex].getAttribute('dtPengurus')
			id.value= dtId
			pengurus.value =  dtPengurus
			telp.value =  dtTelp
			})
		}
		handleChangeKapal()

		const barang = document.getElementById('nama_barang')
		const harga = document.getElementById('harga')
		function handleChangeBarang(){
			document.getElementById('nama_barang').addEventListener('change', (e)=>{
			const dtHarga= barang.options[barang.selectedIndex].getAttribute('dtHarga')
			
			harga.value =  dtHarga
			})
		}
		handleChangeBarang()
		const amount = $('#hitung')[0]
		const total = $('#total')[0]
		$('#hitung').on('change',(e)=>{
			total.value = amount.value * harga.value
		})

	</script>
</body>
  
</html>
